about summary refs log tree commit diff
path: root/tests/lang.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lang.sh')
-rw-r--r--tests/lang.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/lang.sh b/tests/lang.sh
index 18eb0278cfcc..54f01076371e 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -54,7 +54,8 @@ for i in lang/eval-okay-*.nix; do
     fi
     
     if test -e lang/$i.exp.xml; then
-        if ! $nixinstantiate --eval-only --xml --strict lang/$i.nix > lang/$i.out.xml; then
+        if ! $nixinstantiate --eval-only --xml --no-location --strict \
+                lang/$i.nix > lang/$i.out.xml; then
             echo "FAIL: $i should evaluate"
             fail=1
         elif ! cmp -s lang/$i.out.xml lang/$i.exp.xml; then